Subject: Re: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Paul Eggert <[email-masked]>
Date: Sat, 01 Feb 2014 16:52:24 -0800

Eli Zaretskii wrote:
> This is NS-specific

The same change was made to xterm.c's XTread_socket, so even if that 
particular hunk is NS-specific, the overall change applied to the X 
platform too.  I don't see why NS would react differently, though of 
course I could be missing something.

Continuing on my guess, which may well be a wild goose chase, can you 
use DTrace to see what system calls the offending Emacs is executing? 
I'm curious about how often timers are expiring during the misbehavior, 
and even if I'm wrong DTrace is often your friend for this sort of problem.